<?php

/*
 * @name: template.php
 * @desc:
 * @created: July 23, 2007
 * @author: Daniel Triendl <daniel@tac-ops.net>
 * @copy: 2007 yabs
 */

if ( !defined('INSIDE') ) die( 'Don\'t call this file directly.' );

$kubrick = array();
$kubrick['wide'] = false;
	
$plug->addhook( 'hook_blog_single_entry', 'kubrick_setwide' );
$plug->addhook( 'hook_blog_comment_single', 'kubrick_commentclass' );
$plug->addhook( 'hook_blog_trackback_single', 'kubrick_trackbacktclass' );
$plug->addhook( 'hook_index_preoutput', 'kubrick_fillin' );
	
function kubrick_setwide()
{
	global $kubrick;
	$kubrick['wide'] = true;
}

function kubrick_commentclass()
{
	static $count = 0;
	global $tpl;
	
	if( $count == 0 ) {
		$tpl->fillin( 'KUBRICK_COMMENT_CLASS', 'alt' );
		$count = 1;
	} else {
		$tpl->fillin( 'KUBRICK_COMMENT_CLASS', '' );
		$count = 0;
	}
}

function kubrick_trackbackclass()
{
	static $count = 0;
	global $tpl;
	
	if( $count == 0 ) {
		$tpl->fillin( 'KUBRICK_COMMENT_CLASS', 'alt' );
		$count = 1;
	} else {
		$tpl->fillin( 'KUBRICK_COMMENT_CLASS', '' );
		$count = 0;
	}
}

function kubrick_fillin()
{
	global $kubrick, $tpl, $lang;
	
	if( $kubrick['wide'] ) {
		$tpl->fillin( 'KUBRICK_CONTENT_CLASS', 'widecolumn' );
		$tpl->fillin( 'KUBRICK_HIDE_SIDEBAR', 'style="display: none;"' );
		yabs_headers( '<style type="text/css" media="screen">

	#page { background: url("' . url() . '/templates/kubrick/images/kubrickbgwide.jpg") repeat-y top; border: none; } 


</style>');
	} else {
		$tpl->fillin( 'KUBRICK_CONTENT_CLASS', 'narrowcolumn' );
		$tpl->fillin( 'KUBRICK_HIDE_SIDEBAR', '' );
		yabs_headers( '<style type="text/css" media="screen">

	#page { background: url("' . url() . '/templates/kubrick/images/kubrickbg.jpg") repeat-y top; border: none; }

</style>' );
	}
	
	$tpl->fillin( 'KUBRICK_MENU_TITLE', $lang['admin_menu_menu'] );
}
?>